@echo off
rem This batch is designed for general configurations and should be
rem understood as an example.
rem Adjust it to suit your needs.

SET SAVEPATH=C:\PACKET\SAVE

rem
echo ͻ
echo _FFR.BAT batchfile for splitting capturefilesDG1BBQ@DB0CL 910616
echo ͼ
echo.

if "%1$"=="$" goto not_ok

rem Check, if the capturefile exists.
if exist %SAVEPATH%\%1 goto continue
echo '%SAVEPATH%\%1' does not exist!
goto end

rem Call FFR
:continue
ffr %SAVEPATH%\%1 -x *


rem Delete backup, if it already exists.
if exist %SAVEPATH%\capture.bak goto erase
goto rename

:erase
echo Delete old backup.
del %SAVEPATH%\capture.bak

rem Convert the capturefile into a backupfile.
:rename
echo.
echo '%SAVEPATH%\%1' renamed to '%SAVEPATH%\capture.bak'.
ren %SAVEPATH%\%1 capture.bak

goto end

rem Wrong parameter.
:not_ok
echo Parameter missing!
echo.
echo Usage:
echo ------
echo.
echo _ffr <filename>
echo.
echo <filename> stands for the capture file that is to be split by FFR.
echo.
echo E.g: '_ffr mail.txt' will split %SAVEPATH%\mail.txt
echo.
echo The extracted files will automatically be written to the following
echo directories:
echo \packet\code   - for encoded files.
echo \packet\mail   - for general mail.
echo \packet\pers   - for personal mail.
echo.
echo The capturefile will be renamed into 'capture.bak' after processing.
echo.
:end
SET SAVEPATH=
